Subject: bug#77560: The guix style command deletes #; comments.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 29 May 2025 14:08:00 +0200

I think this is because READ-WITH-COMMENTS in (guix read-print) 
does not have a clause for reading expressions that start with #;. 
It explicitly handles single line comments, and it knows about 
G-expressions (starting with #), but it does not handle #;, so it 
cannot preserve them.

-- 
Ricardo